
Redmine - Defect #7257

"Issues by" version links bad criterias

2011-01-10 09:33 - Etienne Massip

Status: Closed Start date: 2011-01-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution:  Affected version: 1.1.0

Description

When following a link in the "Issues by" field set of a version page (whichever grouping type is selected), default criterias in the newly

opened query page include issue status "open", which is not necessarily true.

Moreover, when grouping by author, if author is not part of project's members list then the criteria is Author is << Me >>.

Related issues:

Has duplicate Redmine - Defect #7952: Issues by query from roadmap page shoul... Closed 2011-03-21

History

#1 - 2011-01-11 15:19 - Etienne Massip

First point looks easy to solve (not a ruby dev, even less a redmine dev) :

Index: app/views/versions/_issue_counts.rhtml

===================================================================

--- app/views/versions/_issue_counts.rhtml    (revision 4686)

+++ app/views/versions/_issue_counts.rhtml    (working copy)

@@ -19,6 +19,7 @@

                                         :action => 'index',

                                         :project_id => version.project,

                                         :set_filter => 1,

+                                        :status_id => '*',

                                         :fixed_version_id => version,

                                         "#{criteria}_id" => count[:group]} %>

         </td>

 Second one deserves to have its own issue.

#2 - 2011-01-11 15:21 - Etienne Massip

And it already has : #4398

#3 - 2011-03-03 20:19 - Etienne Massip

- Target version set to Candidate for next minor release

#4 - 2011-03-21 21:09 - Jean-Philippe Lang

Fix for status committed in r5187, with a slight change for compatibility with r5179.

#5 - 2011-03-29 19:30 - Etienne Massip

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.2.0

#6 - 2011-05-28 14:39 - Terence Mill

Can this issue get closed?

#7 - 2011-05-29 09:21 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/issues/4398
https://www.redmine.org/projects/redmine/repository/svn/revisions/5187
https://www.redmine.org/projects/redmine/repository/svn/revisions/5179


Etienne Massip wrote:

Moreover, when grouping by author, if author is not part of project's members list then the criteria is Author is << Me >>.

 This is not fixed and needs much more work. Will fix it later. Etienne, you can open an other ticket for that.

#8 - 2011-05-30 10:46 - Etienne Massip

There is already #4398 which I'll set as candidate for next major.
